// VCsampleDlg.h : header file
//

#if !defined(AFX_VCSAMPLEDLG_H__27D9EAC7_E8F6_11D6_B649_00C0F6B0B46D__INCLUDED_)
#define AFX_VCSAMPLEDLG_H__27D9EAC7_E8F6_11D6_B649_00C0F6B0B46D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVCsampleDlg dialog

class CVCsampleDlg : public CDialog
{
// Construction
public:
	UINT m_nOn_Off;
	BOOL m_boFreeze;
	BOOL m_boCapture;
	BOOL m_boOpen;
	int m_nSlot;
	CVCsampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVCsampleDlg)
	enum { IDD = IDD_VCSAMPLE_DIALOG };
	CButton	m_btnFreeze;
	CButton	m_btnCapture;
	CButton	m_btnSnap;
	CButton	m_btnStartPreview;
	CStatic	m_hVideoCapture;
	BOOL	m_chkMirror;
	BOOL	m_chkFlip;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCsampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVCsampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnButtonStart();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnButtonSnap();
	afx_msg void OnButtonCapture();
	afx_msg void OnButtonFreeze();
	afx_msg void OnCheck1();
	afx_msg void OnCheck2();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCSAMPLEDLG_H__27D9EAC7_E8F6_11D6_B649_00C0F6B0B46D__INCLUDED_)
